[tox]
envlist = py36, py37, py38, lint

[testenv]
basepython =
    py38: python3.8
    py37: python3.7
    py36: python3.6
    py35: python3.5

deps =
    pytest
    pytest-cov
    pytest-console-scripts

commands =
    pytest --cov={envsitepackagesdir}/admincer --cov-report=term-missing --cov-fail-under=100 tests

[testenv:lint]
basepython = python3.7

deps =
    check-manifest
    readme_renderer[md]
    flake8
    flake8-docstrings
    flake8-commas
    pep8-naming
    git+https://gitlab.com/eyeo/auxiliary/eyeo-coding-style#egg=flake8-eyeo&subdirectory=flake8-eyeo
    twine

commands = 
    check-manifest --ignore *.ini,tests/**,.*.yml,demo/**
    twine check .tox/dist/*
    flake8 admincer tests setup.py

[flake8]
exclude = .tox,*.egg,build
ignore =
    W504  # line break after binary operator
    W503  # line break before binary operator
    D1    # missing docstring
    N813  # camelcase imported as lowercase
    A302 admincer/slice.py  # redefined built-in
